Page MenuHomePhabricator

Migrate operations-puppet-wmf-style-guide to a Docker container
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/operations-puppet-wmf-style-guide/ polls operations/puppet.git and run global:wmf_style. It then craft a report. It fails to build:

00:01:58.766 Gem::InstallError: minitest requires Ruby version ~> 2.2.
00:01:58.824 An error occurred while installing minitest (5.13.0), and Bundler cannot

We should migrate it to use docker-registry.wikimedia.org/releng/operations-puppet and setting RAKE_TARGET=global:wmf_style.

The job should also detect new failures and emit an email when they are encountered.

Event Timeline

hashar created this task.Dec 9 2019, 2:09 PM

Change 555957 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Migrate operations-puppet-wmf-style-guide to Docker

https://gerrit.wikimedia.org/r/555957

Change 555957 merged by jenkins-bot:
[integration/config@master] Migrate operations-puppet-wmf-style-guide to Docker

https://gerrit.wikimedia.org/r/555957